# TdApi.SetInlineGameScore (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetInlineGameScore

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetInlineGameScore

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetInlineGameScore

Enclosing class:
  TdApi

public static final class TdApi.SetInlineGameScore extends TdApi.Function<TdApi.Ok>
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`editMessage`
Pass true to edit the game message to include the current scoreboard.
`boolean`
`force`
Pass true to update the score even if it decreases.
`String`
`inlineMessageId`
Inline message identifier.
`int`
`score`
The new score.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`SetInlineGameScore()`
Updates the game score of the specified user in a game; for bots only.
`SetInlineGameScore(DataInput input)`
Updates the game score of the specified user in a game; for bots only.
`SetInlineGameScore(String inlineMessageId, boolean editMessage, long userId, int score, boolean force)`
Updates the game score of the specified user in a game; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### inlineMessageId

public String inlineMessageId
Inline message identifier.

### editMessage

public boolean editMessage
Pass true to edit the game message to include the current scoreboard.

### userId

public long userId
User identifier.

### score

public int score
The new score.

### force

public boolean force
Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetInlineGameScore

public SetInlineGameScore()
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

### SetInlineGameScore

public SetInlineGameScore(String inlineMessageId, boolean editMessage, long userId, int score, boolean force)
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

Parameters:
  `inlineMessageId` - Inline message identifier.
  `editMessage` - Pass true to edit the game message to include the current scoreboard.
  `userId` - User identifier.
  `score` - The new score.
  `force` - Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

  Returns `Ok`

### SetInlineGameScore

public SetInlineGameScore(DataInput input) throws IOException
Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`